## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name scikit-misc
%global archive_name scikit_misc
%global module_name skmisc

# Enable tests
%bcond_without tests

%global _description %{expand:
Miscellaneous tools for data analysis and scientific computing.}

Name:           python-%{pypi_name}
Version:        0.2.0
Release:        %autorelease
Summary:        Miscellaneous tools for data analysis and scientific computing

# MIT License applies to doc/theme/static/bootstrap-3.4.1
# Python-2.0.1 license applies to doc/_static/copybutton.js
License:        BSD-3-Clause AND MIT AND Python-2.0.1
URL:            https://github.com/has2k1/scikit-misc
Source0:        %{pypi_source %{archive_name}}

%description %_description

%package -n python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-numpy
BuildRequires:  python3-Cython
# For optimized performance
BuildRequires:  flexiblas-devel
BuildRequires:  gcc, gcc-gfortran
BuildRequires:  meson
BuildRequires:  git-core
%if %{with tests}
BuildRequires:  python3-pytest
%endif


%description -n python3-%{pypi_name} %_description


%prep
%autosetup -p1 -n %{archive_name}-%{version}

%py3_shebang_fix spin skmisc/_build_utils/

# Disable coverage
sed -i -e 's/--cov=skmisc --cov-report=xml//' pyproject.toml


%build
%meson -Dblas=flexiblas -Dlapack=flexiblas
%meson_build


%install
%meson_install


%check
%if %{with tests}
  %pytest
%else
  %pyproject_check_import
%endif


# %check
# Testing not implemented in Meson (yet?)


%files -n python3-%{pypi_name}
%{python3_sitearch}/%{module_name}/
%doc README.rst
%license LICENSE

%changelog
* Sat Apr 29 2023 Benjamin A. Beasley <code@musicinmybrain.net> 0.2.0-3
- Remove unversioned “python” BR

* Tue Apr 18 2023 Sandro <devel@penguinpee.nl> 0.2.0-2
- Enable tests again
- Needs to be run with pytest not meson

* Sun Apr 16 2023 Sandro <devel@penguinpee.nl> 0.2.0-1
- Update to 0.2.0
- Switch to Meson build system
- Use PyPI source
- Drop patch and associated BR (fixed upstream)

* Tue Feb 07 2023 Miro Hrončok <miro@hroncok.cz> 0.1.4-5
- Drop a patch, %%pyproject_buildrequires is fixed

* Tue Feb 07 2023 Miro Hrončok <miro@hroncok.cz> 0.1.4-4
- Fix wrong conversion to %%autochangelog

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 0.1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Oct 21 2022 Sandro <devel@penguinpee.nl> 0.1.4-2
- Add patch to dist-git

* Fri Oct 21 2022 Sandro <devel@penguinpee.nl> 0.1.4-1
- Initial release (RHBZ#2133438)
